Page MenuHomePhabricator

Modernize Slowvote, fix Badges mobile menu
ClosedPublic

Authored by chad on Nov 28 2015, 11:17 PM.

Details

Summary

Uses modern methods in Slowvote, adds appmenu, consistent create into Badges

Test Plan

View Poll list, new poll, edit poll, vote in poll.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chad updated this revision to Diff 35301.Nov 28 2015, 11:17 PM
chad retitled this revision from to Modernize Slowvote, fix Badges mobile menu.
chad updated this object.
chad edited the test plan for this revision. (Show Details)
chad added a reviewer: epriestley.
epriestley edited edge metadata.Nov 29 2015, 4:43 PM

I think this has come up before, but I don't remember how we resolved it: I think we should put "Create X" only on the list view, not the detail view.

We aren't consistent about this right now. Applications like Differential, Diffusion, People, Files and Projects do not have this action. Other applications, like Maniphest, Phame, and Slowvote, do have this action.

I'd like to make it consistent. We could make it consistent by adding the action everywhere or by removing it everywhere; of the two, I think adding it everywhere is worse.

Although it's fine for most applications, it's misleading in some applications (particularly, applications where there's some sort of object hierarchy). For example, I think having this action would be undesirable in applications like Differential (unclear/confusing that "New Diff" is not related to the current revision) and currently find it perplexing in Phame (I'm "in" a blog, but "New Post" doesn't add a new post to the blog I'm in).

In other applications, object creation is very rare and this button just feels like clutter on every page (Diffusion is the big one here, but probably Legalpad too). Badges, in this diff, is also in this vein for me -- I suspect I will never use this button, because if I wanted to create a new badge I'd never navigate to an existing badge first.

Phame is kind of a special case of messiness (per T9742).

In Maniphest and other applications, this action is also available from the "Quick Create" menu.

I do think there are two sort of special cases:

  • In Phriction, this action is present but already contextual (it prefills with the current path) and I use it fairly regularly, and the list view isn't a primary UI.
  • This might also be common enough in Maniphest to justify either special casing it or finding some other approach. I do use that one sometimes, I think.
epriestley accepted this revision.Nov 29 2015, 4:46 PM
epriestley edited edge metadata.

Actual changes here are fine and button location is trivial to adjust later.

This revision is now accepted and ready to land.Nov 29 2015, 4:46 PM
chad added a comment.Nov 29 2015, 5:13 PM

Phame is a bad example for sure, I'm working on a new BlogView now and it will remove a lot of junk. Other apps I don't find it as cut and dry. Mostly, if we always have it on every page, on every app, it because something users don't think about, it's just there instinctually. I also think in cases like Badges, people when they first set up the application, create many. Moving to the list view only makes it a bit harder to remember and process as a consistent action, but I think it's possible. Maybe we could do something like:

  • Add a "Create X" method higher up
  • It automatically becomes a button in search views (not a crumb action, reinforces it appears on lists)
  • It automatically is in the "Quick Create" anywhere in that app.

My Phame plan is basically, on the BlogView page, there is a header with "Write" and "Manage" as action buttons. We could explore something similar in Phriction pretty easily and see how it feels.

chad updated this revision to Diff 35353.Nov 30 2015, 8:53 PM
chad edited edge metadata.
  • move create to list only
This revision was automatically updated to reflect the committed changes.